Subject: Re: [EN] NNCP 8.6.0 release announcement

From: John Goerzen <[email-masked]>
Date: Wed, 02 Mar 2022 10:22:55 -0600

On Wed, Mar 02 2022, John Goerzen wrote:

> I think option #1 is preferable.  If an ACK is lost, there's no harm
> (particularly if -seen is in use, which it should be in this cast [might
> want to mention that hint on the nncp-ack documentation page]).  The
> sender will simply retransmit, the recipient will re-ACK and then toss
> will ignore it as it's been seen.

Hmm, now I see that nncp-xfer -rx will ignore packets that have been
seen.  That would mean that if an ACK is lost, the sender will keep
retransmitting the packet forever, right?  I'm not quite sure what to do
about this yet, hmm.